
Database - Bug #2280

Error with FIND-FIRST() method

04/09/2014 05:02 PM - Vadim Nebogatov

Status: Closed Start date: 04/09/2014

Priority: Normal Due date:  

Assignee: Vadim Nebogatov % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stablization for Server

Features

  

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 04/09/2014 05:11 PM - Vadim Nebogatov

- Target version set to Milestone 11

#2 - 04/09/2014 05:23 PM - Vadim Nebogatov

Test case:

def temp-table tt field f as character.

create tt.

def buffer b for tt.

def var hBuffer as handle.

hBuffer = buffer b:handle.

hBuffer:FIND-FIRST.

 

P2J result:

[04/09/2014 23:07:15 MSK] (ErrorManager:SEVERE) {00000001:00000007:bogus} tt must be an unabbreviated name of 

a buffer known in query find_FIRST_SHARE. (7327)

[04/09/2014 23:11:52 MSK] (ErrorManager:SEVERE) {00000001:00000007:bogus} Invalid WHERE clause in FIND method 

for buffer tt1. (10041)

#3 - 04/09/2014 05:34 PM - Eric Faulhaber

- Description updated
#4 - 04/10/2014 12:51 AM - Eric Faulhaber

- Assignee set to Vadim Nebogatov

#5 - 05/08/2014 03:25 AM - Vadim Nebogatov

- Status changed from New to WIP

#6 - 05/11/2014 05:02 PM - Vadim Nebogatov

- File vmn_upd20140510b.zip added

- File vmn_upd20140510a.zip added

Attached fix for this issue.

#7 - 05/11/2014 09:54 PM - Eric Faulhaber

Code review 20140510a:

The fix looks good to me.

There is no point in regression testing this with the regression harness, since we know the class you fixed is not used in that environment. I did not

run the test case you provided, but as long as you have determined it is fixed with this update, please go ahead and check this in and distribute it.

Please check the test case into the testcases project, if you haven't already.

#8 - 05/12/2014 03:47 PM - Vadim Nebogatov

Update vmn_upd20140510a.zip committed and distributed, test case is checked into testcases project.

#9 - 05/21/2014 02:46 PM - Eric Faulhaber

- % Done changed from 0 to 100

- Status changed from WIP to Closed

#10 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

vmn_upd20140510a.zip 13.8 KB 05/11/2014 Vadim Nebogatov

vmn_upd20140510b.zip 345 Bytes 05/11/2014 Vadim Nebogatov
